## ros-melodic-pf-driver 1.2.0

=== debian/changelog ===
ros-melodic-pf-driver (1.2.0-2bionic) bionic; urgency=high

  * fix focal point to world link of r2300 #72 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/72>
  * fix xacro filename cases #70 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/70>
  * viz scanner model in rviz
  * changed necessary for noetic #68 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/68>
  * added urdf for r2000 and r2300 #66 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/66>
  * fix deps for CI
  * add urdf bringup launch file
  * added urdf for r2300
  * fix high CPU usage #65 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/65> from PepperlFuchs/fix_while_loop
  * fix pointcloud flickering in rviz
  * reset cloud when params change in between publish cycle
  * reduce sleep time for writer thread as observed in #63 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/63#issuecomment-889831408>
  * wait for the next message from the device with a timeout
  * fix layers accumulation and low frequency issue #56 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/56> from PepperlFuchs/fix_freq
  * Contributors: Harsh Deshpande

 -- Harsh Deshpande <harshavardhan.deshpande@ipa.fraunhofer.de>  Mon, 02 May 2022 22:00:00 -0000

ros-melodic-pf-driver (1.1.1-2bionic) bionic; urgency=high

  * Update package.xml
  * Contributors: Pepperl+Fuchs SE

 -- Harsh Deshpande <harshavardhan.deshpande@ipa.fraunhofer.de>  Wed, 17 Feb 2021 23:00:00 -0000

ros-melodic-pf-driver (1.1.0-2bionic) bionic; urgency=high

  * Update package.xml
  * Merge pull request #53 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/53> from PepperlFuchs/fix-typo
    fix typo
  * fix typo
  * Merge pull request #52 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/52> from PepperlFuchs/fix-exec-name
    fix exec name
  * changed default start_angle of R2300
  * fix start_angle
  * dummy
  * fix start_angle
  * check negative start_angle
  * fix scan output rviz
  * fix watchdog
  * fix set scanconfig
  * fix private namespace
  * fix exec name
  * Merge pull request #50 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/50> from wsaihopfsg/rviz_start_angle_max_num_points_scan
    Rviz start angle max num points scan
  * updated PFSDP for R2000
  * resolved merge conflicts
  * Update pfsdp_2300.hpp
    To correct the bug for incorrect display when start_angle and max_num_points_scan is specified
  * Update pfsdp_protocol.hpp
    To correct the bug in RViz display when start_angle & max_num_points_scan are specified
  * Update scan_publisher.cpp
    Consider start_angle & max_num_points_scan for RViz
  * Merge pull request #49 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/49> from wsaihopfsg/dyn_reconfig_start_angle_max_points_scan
    Dyn reconfig start angle max points scan
  * Merge pull request #51 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/51> from PepperlFuchs/protocol_args
    Protocol args
  * fix config not updated
  * fix indentation
  * Update pf_interface.cpp
    Communicates the new config to R2300 after dynamic reconfiguration
  * Update pfsdp_protocol.hpp
    Communicates the new config to R2300 during dynamic reconfig
  * fixed launch files
  * handle optional args
  * format check in CI
  * Merge pull request #46 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/46> from wsaihopfsg/config_watchdog
    Update pfsdp_protocol.hpp
  * Merge branch 'master' into config_watchdog
  * Merge pull request #40 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/40> from PepperlFuchs/format_lint
    fixes for formatting and linting errors
  * Merge branch 'master' into config_watchdog
  * Update pfsdp_protocol.hpp
  * fix catkin_lint
  * fix roslint
  * applied clang formatting
  * Merge pull request #39 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/39> from PepperlFuchs/pcl_intensities
    add intensities to PCL fields
  * Merge branch 'pcl_intensities' of https://github.com/PepperlFuchs/ROS_driver into pcl_intensities
  * add intensities to PCL fields
  * fix no return statement warning
  * fix missing jsoncpp include
  * Merge pull request #31 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/31> from PepperlFuchs/fix-dyn-params
    fix ip_mode and layer_on
  * fix ip_mode and layer_on
  * Merge pull request #26 <https://github.com/PepperlFuchs/pf_lidar_ros_driver/issues/26> from MilanoTechnicalGroupInc/r2000_fix
    R2000 fix
  * Fix parsing TCP streams/packets
    UDP transport puts one PSDF packet per UDP packet; TCP jams all PSDF packets into a single stream which is often delivered in chunks that don't match the size of the actual TCP packets.
    Here, we make two changes to account for this:
    1. Restructure the parser to parse an arbitrary number of packets iteratively from its buffer (avoid multiple recursion, though it's probably fine).
    2. Restructure the writer to persist any unused bytes from the previous parse and prepend them to the next packet that comes in over the network.
  * Validate buffer size based on packet header
    Original implementation compared the computed data size (based on sizes in the packet header) to the buffer size less the nominal size of the known packet header structure.  However, some (I guess older?) R2000s use a smaller packet header (60 bytes vs 76).  Trying to parse packets from these devices results in almost universal failure, the original condition ends up being "does the packet have at least 16 extra bytes at the end" to which the answer is usually "no" (except if the packet is part of a TCP stream and has the beginning of the next PFSDP packet immediately after it in the buffer).

