=== debian/control ===
Source: ros-melodic-pf-driver
Section: misc
Priority: optional
Maintainer: Harsh Deshpande <harshavardhan.deshpande@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libcurlpp-dev, libjsoncpp-dev, libpcl-dev, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-laser-geometry, ros-melodic-message-generation, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-roslint, ros-melodic-rosunit <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf
Homepage: https://github.com/PepperlFuchs/pf_lidar_ros_driver
Standards-Version: 3.9.2

Package: ros-melodic-pf-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcurlpp-dev, libjsoncpp-dev, libpcl-apps1.8, libpcl-common1.8, libpcl-features1.8, libpcl-filters1.8, libpcl-io1.8, libpcl-kdtree1.8, libpcl-keypoints1.8, libpcl-ml1.8, libpcl-octree1.8, libpcl-outofcore1.8, libpcl-people1.8, libpcl-recognition1.8, libpcl-registration1.8, libpcl-sample-consensus1.8, libpcl-search1.8, libpcl-segmentation1.8, libpcl-stereo1.8, libpcl-surface1.8, libpcl-tracking1.8, libpcl-visualization1.8, ros-melodic-dynamic-reconfigure, ros-melodic-laser-geometry, ros-melodic-message-runtime, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-pf-description, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf
Description: The Pepperl+Fuchs LiDAR package
